var user_token = '';

$("#myechart").css('width', Number(window.innerWidth) - 20 + 'px');
var myChart = echarts.init(document.getElementById('myechart'));

function InitChart(obj) {

	var data = [{
		value: obj.ybdrs,
		name: '已报到'
	}, {
		value: obj.wbdrs,
		name: '未报到'
	}];

	option = {
		backgroundColor: '#fff',
		title: {
			text: '应报到人数',
			subtext: obj.zbdrs,
			x: 'center',
			y: '44%',
			textStyle: {
				fontWeight: 'normal',
				fontSize: 12
			}
		},
		tooltip: {
			show: true,
			trigger: 'item',
			formatter: "{b}: {c} ({d}%)"
		},
		legend: {
			orient: 'horizontal',
			bottom: '0%',
			data: ['已报到', '未报到']
		},
		series: [{
			type: 'pie',
			selectedMode: 'false',
			radius: ['25%', '58%'],
			color: ['#86D560', '#FF999A'],
			label: {
				normal: {
					position: 'inner',
					formatter: '{d}%',
					textStyle: {
						color: '#fff',
						fontWeight: 'bold',
						fontSize: 10
					}
				}
			},
			labelLine: {
				normal: {
					show: false
				}
			},
			data: data
		}, {
			type: 'pie',
			radius: ['55%', '83%'],
			itemStyle: {
				normal: {
					color: '#F2F2F2'
				},
				emphasis: {
					color: '#ADADAD'
				}
			},
			label: {
				normal: {
					position: 'inner',
					formatter: '{c}人',
					textStyle: {
						color: '#777777',
						fontWeight: 'bold',
						fontSize: 10
					}
				}
			},
			data: data
		}]
	};

	// 使用刚指定的配置项和数据显示图表。
	myChart.setOption(option, true);
}

function getAll() {
	$.ajax({
		type: "get",
		url: apis.yxbdtj_yxbdtjprivate + '?appid=xcbd&token=' + user_token,
		dataType: "json",
		cache: false, //缓存
		async: true, //异步
		data: {},
		beforeSend: function() {
			mui.showLoading("正在加载", "div");
		},
		success: function(result) {
			if(result.code == 200) {
				InitChart(result);

				$('#dwbzmc').text(result.dwbzmc);
				$('#zbdrs').text(result.zbdrs + ' 人');
				$('#ybdrs').text(result.ybdrs + ' 人');
				$('#wbdrs').text(result.wbdrs + ' 人');

				$('#tab-college li.isclick').off().on('tap', function(e) {
					setlocalStorage('xcbd-tj-detail', $(this).attr('data-flag'));

					var obj = {
						'html': 'xcbd-tj-detail.html',
						'title': $(this).attr('data-name'),
						'id': 'xcbd-tj-detail'
					}

					titleNViewWebview(obj);
				})
			}
		},
		complete: function() {
			mui.hideLoading(function() {});
		}
	});
}

$(function() {
	user_token = getlocalStorage('user-token');

	if(user_token == null || user_token == '') {

	} else {
		// tab切换出发事件
		mui('.mui-segmented-control').on('tap', 'a', function(e) {
			var activeTab = this.innerText;
			if(activeTab == '统计') {
				getAll();
			} else {

			}
		});

		//搜索input
		$('#my-search').off().on('keyup', function() {
			if(event.keyCode == "13") {
				document.activeElement.blur(); //收起虚拟键盘

				//TODO 完成搜索事件
				console.log($('#my-search').val());
				setlocalStorage('xcbd-student-id', $('#my-search').val());

				event.preventDefault(); // 阻止默认事件---阻止页面刷新

				var obj = {
					'html': 'xcbd-student.html',
					'title': '学生信息',
					'id': 'xcbd-student'
				}

				titleNViewWebview(obj);
			}
		});

		//搜索按钮
		$('.search-btn').off().on('tap', function() {
			setlocalStorage('xcbd-student-id', $('#my-search').val());

			var obj = {
				'html': 'xcbd-student.html',
				'title': '学生信息',
				'id': 'xcbd-student'
			}

			titleNViewWebview(obj);
		});

		//扫一扫
		$('#my-scan').off().on('tap', function() {
			var obj = {
				'html': 'xcbd-code.html',
				'title': '扫一扫',
				'id': 'xcbd-code'
			}

			titleNViewWebview(obj);
		});
	}
})