$(function() {
	getAll();
})

function getAll() {
	$.ajax({
		type: "get",
		url: apis.sjxl_queryListData,
		dataType: "json",
		cache: false, //缓存
		async: true, //异步
		data: {},
		beforeSend: function() {
			mui.showLoading("正在加载", "div");
		},
		success: function(result) {
			if(result.code == 200) {
				$('.main-timeline').empty();

				for(var i in result.rows) {
					var html = '';
					html += '<div class="timeline">';
					html += '	<div class="timeline-icon"><span class="year">' + result.rows[i].YF + '</span></div>';
					html += '	<div class="timeline-content">';
					html += '		<div class="line"></div>';
					html += '		<h3 class="title">' + result.rows[i].SJ + '</h3>';
					html += '		<p class="description">';
					html += 			result.rows[i].SJMS;
					html += '		</p>';
					html += '	</div>';
					html += '</div>';

					$('.main-timeline').append(html);
				}

				randomColor();
			}
		},
		complete: function() {
			mui.hideLoading(function() {});
		}
	});
}

// 随机颜色
function randomColor() {
	$(".timeline").each(function() {
		var _color = getRandomColor();
		$(this).find('.year').css("color", _color);
		$(this).find('.timeline-content').css("background", _color);
		$(this).find('.timeline-icon').css({
			"borderTopColor": _color,
			"borderRightColor": _color
		});
		$(this).find('.line').css("background", _color);
	});

	function getRandomColor() {
		var c = '#';
		var cArray = ['0', '1', '2', '3', '4', '5', '6', '7', '8', '9', 'A', 'B', 'C', 'D', 'E', 'F'];
		for(var i = 0; i < 6; i++) {
			var cIndex = Math.round(Math.random() * 15);
			c += cArray[cIndex];
		}
		return c;
	}
}