var user_token = '';
var myChart = echarts.init(document.getElementById('myechart'));

function InitChart(obj) {
	var data = [{
		value: obj.ybd,
		name: '已报到'
	}, {
		value: obj.bdz,
		name: '报到中'
	}, {
		value: obj.wbd,
		name: '未报到'
	}];

	option = {
		backgroundColor: '#fff',
		title: {
			text: '应报到人数',
			subtext: obj.zrs,
			x: 'center',
			y: '44%',
			textStyle: {
				fontWeight: 'normal',
				fontSize: 12
			}
		},
		tooltip: {
			show: true,
			trigger: 'item',
			formatter: "{b}: {c} ({d}%)"
		},
		legend: {
			orient: 'horizontal',
			bottom: '0%',
			data: ['已报到', '报到中', '未报到']
		},
		series: [{
			type: 'pie',
			selectedMode: 'false',
			radius: ['25%', '58%'],
			color: ['#AF89D6', '#FF999A', '#FFCC67'],
			label: {
				normal: {
					position: 'inner',
					formatter: '{d}%',
					textStyle: {
						color: '#fff',
						fontWeight: 'bold',
						fontSize: 10
					}
				}
			},
			labelLine: {
				normal: {
					show: false
				}
			},
			data: data
		}, {
			type: 'pie',
			radius: ['55%', '83%'],
			itemStyle: {
				normal: {
					color: '#F2F2F2'
				},
				emphasis: {
					color: '#ADADAD'
				}
			},
			label: {
				normal: {
					position: 'inner',
					formatter: '{c}人',
					textStyle: {
						color: '#777777',
						fontWeight: 'bold',
						fontSize: 10
					}
				}
			},
			data: data
		}]
	};

	// 使用刚指定的配置项和数据显示图表。
	myChart.setOption(option, true);
}

function getAll() {
	$.ajax({
		type: "get",
		url: apis.yxtjall_getyxtjall + '?appid=yxtj&token=' + user_token,
		dataType: "json",
		cache: false, //缓存
		async: true, //异步
		data: {},
		beforeSend: function() {
			mui.showLoading("正在加载", "div");
		},
		success: function(result) {
			if(result.code == 200) {
				var obj = result.rows[0];
				InitChart(obj);

				$('#zrs').text(obj.zrs + ' 人');
				$('#ybd').text(obj.ybd + ' 人');
				$('#bdz').text(obj.bdz + ' 人');
				$('#wbd').text(obj.wbd + ' 人');
			}
		},
		complete: function() {
			mui.hideLoading(function() {});
		}
	});
}

function getCollege() {
	$.ajax({
		type: "get",
		url: apis.yxtjall_getyxtjxy + '?token=' + user_token,
		dataType: "json",
		cache: false, //缓存
		async: true, //异步
		data: {},
		beforeSend: function() {
			mui.showLoading("正在加载", "div");
		},
		success: function(result) {
			if(result.code == 200 && result.rows.length > 0) {
				$('#tab-college').empty();
				var obj = result.rows;
				for(var i in obj) {
					var html = '';
					html += '<div class="mui-card">';
					html += '	<div class="mui-card-header">' + obj[i].yxmc + '</div>';
					html += '	<div class="mui-card-content">';
					html += '		<ul class="mui-table-view">';
					html += '			<li class="mui-table-view-cell">应报到';
					html += '				<span class="mui-pull-right">' + obj[i].zrs + ' 人</span>';
					html += '			</li>';
					html += '			<li class="mui-table-view-cell">已报到';
					html += '				<span class="mui-pull-right">' + obj[i].ybd + ' 人</span>';
					html += '			</li>';
					html += '			<li class="mui-table-view-cell">报到中';
					html += '				<span class="mui-pull-right">' + obj[i].bdz + ' 人</span>';
					html += '			</li>';
					html += '			<li class="mui-table-view-cell">未报到';
					html += '				<span class="mui-pull-right">' + obj[i].wbd + ' 人</span>';
					html += '			</li>';
					html += '		</ul>';
					html += '	</div>';
					html += '</div>';

					$('#tab-college').append(html);
				}
			}
		},
		complete: function() {
			mui.hideLoading(function() {});
		}
	});
}

$(function() {
	user_token = getlocalStorage('user-token');
	console.log(user_token)

	if(user_token == null || user_token == '') {

	} else {
		getAll();

		// tab切换出发事件
		mui('.mui-segmented-control').on('tap', 'a', function(e) {
			var activeTab = this.innerText;
			if(activeTab == '全部统计') {
				getAll();
			} else {
				getCollege();
			}
		});
	}
})